from charged_shells import expansion, parameters
from pathlib import Path
import json
import numpy as np


def main():
    with open(Path("/home/andraz/ChargedShells/charged-shells/config.json")) as config_file:
        config_data = json.load(config_file)

    abar = np.array([0.2, 0.3, 0.4, 0.5, 0.5, 0.7, 0.8])
    params = parameters.ModelParams(kappaR=3, R=150)
    ex = expansion.MappedExpansionDipole(abar, params.kappaR, 0.001, 30)
    print(ex.coefs.shape)
    l_arr, m_arr = ex.lm_arrays
    lm = np.stack((l_arr, m_arr)).T
    print(lm.shape)

    np.savez(Path(config_data["expansion_data"]).joinpath("janus.npz"), abar=abar, lm=lm, coefs=ex.coefs)



if __name__ == '__main__':

    main()