from matplotlib import cm
import matplotlib.pyplot as plt
from itertools import cycle
import matplotlib.legend as mlegend
from matplotlib.legend_handler import HandlerBase

# all the common imports and settings for plotting

plt.rcParams['text.usetex'] = True
plt.rcParams["font.family"] = "Times New Roman"

COLOR_LIST = [cm.cividis(0.15), cm.autumn(0.5), cm.summer(0),
              cm.gist_heat(0.5), cm.cool(0.65), cm.gray(0.5), cm.winter(0.2)]

plt.rcParams['axes.prop_cycle'] = plt.cycler(color=COLOR_LIST)
COLORS = cycle(plt.rcParams['axes.prop_cycle'].by_key()['color'])