from charged_shells import expansion, interactions, parameters
import numpy as np


def charge_energy_test():

    params = parameters.ModelParams(R=150, kappaR=3)
    ex1 = expansion.MappedExpansionDipole(0.5, params.kappaR, 0.001, l_max=30, sigma0=0.0002)
    ex2 = ex1.clone()
    ex3 = ex1.clone().inverse_sign(exclude_00=True)

    ex1.rotate_euler(beta=np.pi / 2)

    e1 = interactions.charged_shell_energy(ex1, ex2, params, dist=2)
    e2 = interactions.charged_shell_energy(ex1, ex3, params, dist=2)

    print(e1, e2)


if __name__ == '__main__':
    charge_energy_test()
