from charged_shells import expansion, potentials
from charged_shells.parameters import ModelParams
import numpy as np
import matplotlib.pyplot as plt


def main():
    params = ModelParams(R=150, kappaR=3)
    ex1 = expansion.MappedExpansionQuad(0.44, params.kappaR, 0.001, l_max=30)
    # ex2 = expansion.SphericalCap(np.array([[0, 0], [np.pi, 0]]), 0.5, 0.003, l_max=70)

    theta = np.linspace(0, np.pi, 1000)
    phi = 0.
    dist = 1

    potential_ic = potentials.inverse_patchy_particle_potential(theta, dist, 0.44, -0.002, (0.001, 0.001), params)

    potential1 = potentials.charged_shell_potential(theta, phi, dist, ex1, params)
    # potential2 = charged_shell_potential(theta, phi, dist, ex2, params)
    # print(potential.shape)
    # print(potential)

    plt.plot(theta, potential_ic)
    plt.plot(theta, potential1.T)
    # plt.plot(theta, potential2.T)
    plt.show()


if __name__ == '__main__':

    main()








